<?xml version="1.0" encoding="UTF-8"?>

<!-- 

	Ant build script for WTP tutorials.

	Change Log:
	
	2006-10-04: Lawrence Mandel <lmandel@ca.ibm.com>
	- Created initial build script.

-->

<project name="tutorial" default="main" basedir=".">

	<target name="main" depends="validate" description="Builds WTP tutorial.">
		<xslt style="stylesheets/wtp.xsl" includes="**/*.xml" excludes="build.xml" destdir="." />
	</target>

	<target name="validate" description="Validate XML files">
		<xmlvalidate failonerror="yes" lenient="true" warn="yes">
			<fileset dir="." includes="*.xml" excludes="build.xml" />
			<attribute name="http://xml.org/sax/features/namespaces" value="true" />
		</xmlvalidate>
	</target>
</project>